> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vault accounts (Paginated)

> Gets all vault accounts in your workspace. This endpoint returns a limited amount of results with a quick response time.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /vault/accounts_paged
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts_paged:
    get:
      tags:
        - Vaults
      summary: Get vault accounts (Paginated)
      description: >-
        Gets all vault accounts in your workspace. This endpoint returns a
        limited amount of results with a quick response time.

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor,
        Viewer.
      operationId: getPagedVaultAccounts
      parameters:
        - in: query
          name: namePrefix
          required: false
          schema:
            type: string
        - in: query
          name: nameSuffix
          required: false
          schema:
            type: string
        - in: query
          name: minAmountThreshold
          required: false
          description: >-
            Specifying minAmountThreshold will filter accounts whose total
            balance is greater than this value; otherwise, it returns all
            accounts. The amount set in this parameter represents the native
            asset amount, not its USD value.
          schema:
            type: number
            example: 10
        - in: query
          name: assetId
          required: false
          schema:
            type: string
            x-fb-entity: asset
        - in: query
          name: orderBy
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
        - in: query
          name: before
          required: false
          schema:
            type: string
        - in: query
          name: after
          required: false
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: number
            minimum: 1
            maximum: 500
            default: 200
        - in: query
          name: tagIds
          required: false
          deprecated: true
          description: DEPRECATED - use includeTagIds instead
          schema:
            type: array
            items:
              type: string
              format: uuid
            maxItems: 50
        - in: query
          name: includeTagIds
          required: false
          description: >-
            List of tag IDs to include. Vault accounts with any of these tags
            will be included
          schema:
            type: array
            items:
              type: string
              format: uuid
            maxItems: 50
        - in: query
          name: excludeTagIds
          required: false
          description: >-
            List of tag IDs to exclude. Vault accounts with any of these tags
            will be filtered out
          schema:
            type: array
            items:
              type: string
              format: uuid
            maxItems: 50
      responses:
        '200':
          description: A VaultAccountsPagedResponse object
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultAccountsPagedResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<VaultAccountsPagedResponse>> =
            fireblocks.vaults.getPagedVaultAccounts(vaultsApiGetPagedVaultAccountsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<VaultAccountsPagedResponse>> response
            = fireblocks.vaults().getPagedVaultAccounts(namePrefix, nameSuffix,
            minAmountThreshold, assetId, orderBy, before, after, limit, tagIds,
            includeTagIds, excludeTagIds);
        - lang: Python
          source: >-
            response = fireblocks.vaults.get_paged_vault_accounts(name_prefix,
            name_suffix, min_amount_threshold, asset_id, order_by, before,
            after, limit, tag_ids, include_tag_ids, exclude_tag_ids);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    VaultAccountsPagedResponse:
      type: object
      properties:
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/VaultAccount'
        paging:
          type: object
          properties:
            before:
              type: string
            after:
              type: string
        previousUrl:
          type: string
        nextUrl:
          type: string
    VaultAccount:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        assets:
          type: array
          items:
            $ref: '#/components/schemas/VaultAsset'
        hiddenOnUI:
          type: boolean
        customerRefId:
          type: string
        autoFuel:
          type: boolean
        tags:
          type: array
          description: List of tags attached to the vault account
          items:
            $ref: '#/components/schemas/Tag'
    VaultAsset:
      type: object
      properties:
        id:
          type: string
        total:
          description: >-
            The total wallet balance. In EOS this value includes the network
            balance, self staking and pending refund. For all other coins it is
            the balance as it appears on the blockchain.
          type: string
        balance:
          deprecated: true
          description: Deprecated - replaced by "total"
          type: string
        available:
          description: >-
            Funds available for transfer. Equals the blockchain balance minus
            any locked amounts
          type: string
        pending:
          description: The cumulative balance of all transactions pending to be cleared
          type: string
        frozen:
          description: The cumulative frozen balance
          type: string
        lockedAmount:
          description: >-
            Funds in outgoing transactions that are not yet published to the
            network
          type: string
        staked:
          description: Staked balance
          type: string
        totalStakedCPU:
          type: string
          description: Deprecated
        totalStakedNetwork:
          type: string
          description: Deprecated
        selfStakedCPU:
          type: string
          description: Deprecated
        selfStakedNetwork:
          type: string
          description: Deprecated
        pendingRefundCPU:
          type: string
          description: Deprecated
        pendingRefundNetwork:
          type: string
          description: Deprecated
        blockHeight:
          type: string
        blockHash:
          type: string
        rewardsInfo:
          $ref: '#/components/schemas/RewardsInfo'
    Tag:
      type: object
      properties:
        id:
          description: The unique identifier of the tag
          type: string
          format: uuid
          example: df4c0987-30da-4976-8dcf-bc2dd41ae331
        label:
          type: string
          description: The tag label
          example: VIP
        description:
          type: string
          description: Description for the tag
          example: Tag for VIP customers
        color:
          type: string
          description: The tag color in hex format
          example: '#FF5733'
        isProtected:
          type: boolean
          description: Indication if the tag is a protected tag
          default: false
        updatedAt:
          type: number
          description: The date and time the tag was last updated
          example: 1717084800000
        pendingApprovalRequest:
          $ref: '#/components/schemas/ApprovalRequest'
      required:
        - id
        - label
        - isProtected
        - updatedAt
    RewardsInfo:
      type: object
      properties:
        pendingRewards:
          description: Amount that is pending for rewards
          type: string
    ApprovalRequest:
      type: object
      description: Approval request details
      properties:
        id:
          type: string
          format: numeric
          description: The approval request identifier
          example: '12345'
        type:
          type: string
          description: The approval request type
          enum:
            - TAG_UPDATE
            - TAG_DELETE
            - TAG_ATTACH_DETACH
        state:
          type: string
          description: The approval request state
          enum:
            - PENDING
            - APPROVED
            - REJECTED
            - FAILED
            - CANCELLED
            - EXPIRED
      required:
        - id
        - type
        - state

````